<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>HTML Entities</title>
</head>
<body>
	<hr>
	<header>
		<h1>HTML Tables and Forms</h1>
	</header>

	<main>
  		<section>
		  			<!-- Start of table -->
			<h2>HTML Entities</h2>
			<p><em>Reserved characters in HTML (e.g &lt; or &gt; characters that can mix up with HTML code).</em></p>

			<!-- table defines an HTML table -->
			<!-- border is to create a border or box -->
			<!-- Number "1" means thinner border, you may increase the number if you want to increase the border-->
			<table border="1">
				<!-- tag used to group table header content -->
				<thead>
					<!-- tr defines a table row -->
					<tr>
						<!-- th defines a table header element.-->
						<!-- colspan attribute changes the amount of colums a table element will occupy -->
						<th colspan="2">Entity</th>
						<th>Description</th>
					</tr>
				</thead>

				<tbody>
					<tr>
						<td>&lt; </td>
						<td>lt</td>
						<td>less than </td>
					</tr>

					<tr>
						<td>&gt; </td>
						<td>gt </td>
						<td>less than </td>
					</tr>

					<tr>
						<td>&#8369;</td>
						<td>#8369</td>
						<td>peso sign</td>
					</tr>

					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>
					</tr>


					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>single quotation mark (apostrophe)</td>
					</tr>

					<tr>
						<!-- "n" or enye small letter for lower -->
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>Lower Tilde</td>
					</tr>

					<tr>
						<!-- "N" or enye big letter for upper -->
						<td>&Ntilde;</td>
						<td>ntilde</td>
						<td>Upper Tilde</td>
					</tr>
				</tbody>
			</table>
			<!-- end of table -->
  		<section>

		<section>
			<!-- start of form -->
		
			<h2>HTML Forms</h2>
			<p><em>Input elements that make up a form</em></p>


			<!-- action we use it to tell where the details will go or be processed upon submission -->
			<!-- cCONTAINER FORM -->
			<form action="https://google.com">
				<!-- label "for" so if we click the work "full name" the computer knows that it is for the box to be filled in -->
				<label for="full_name">Full Name:</label>
				<br>
					<!-- label means it is associated with "label" -->
					<!-- "type" will define the information to be accepted, ex. it will only accept a "text" info -->
					<!-- "name" is just to know that it's for the name -->
					<!-- "id" and "for" are partner in our input field or tag, it necessary so if you click on "full name" it would tell you that it is for the box to be filled in -->
				<input type="text" name="full_name" id="full_name" required autocomplete>
					<!-- "required" means the details needed before they can proceed -->
					<!-- This would provide suggested info once the user have already input the details once. -->
				<br>

				<label for="birth_date">Birth Date:</label>
				<br>
				<input type="date" name="birth_date" id="birth date" required autocomplete>
				<br>

				<label for="age">Age:</label>
				<br>
				<input type="number" name="age" id="age" min="1" required autocomplete>
				<br>

				<label for="gender">Gender:</label>
					<!-- select to create a dropdown menu -->
					<select name="gender" id="gender" required autocomplete>
						<option value="Male">Male</option>
						<option value="Female">Female</option>
					</select>
					<br>

				<label for="notes">Notes:</label>	
				<br>

				<textarea name="notes" rows="5" id="notes"></textarea>
				<br>

					<!-- Radio Buttons -->
					<!-- only allow one button to click -->
				<label>New User:</label>	
				<br>
					<input type="radio" name="new user" id="user-type1" value="yes">
					<label for="user-type1">Yes:</label>
					<br>

					<input type="radio" name="new user" id="user-type2" value="no">
					<label for="user-type2">No:</label>
					<br>


						<!-- Checkbox -->
						<!-- allows us to have multiple selection to click -->
					<label>Role:</label>
					<br>

					<input type="checkbox" name="role1" id="role1" value="developer">
					<label for="developer">Developer</label>
					<br>

					<input type="checkbox" name="role1" id="role1" value="student">
					<label for="student">Student</label>
					<br>

					<input type="checkbox" name="role1" id="role1" value="manager">
					<label for="manager">Manager</label>
					<br>


				
					<!-- the button is inside a form since it tells that it's used for the form we created. -->
				<button type="submit">submit</button>
				<!-- button to reset the form -->
				<button type="reset">Reset</button>
				<br>
					<!-- same as submit, but the submit is the best practice -->
				<button>button</button> 
			</form>
			<!-- end of form -->
		<section>
	</main>	
</body>
</html>